KTextEditor::DocumentInfoDCOPInterface class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KTextEditor::DocumentInfoDCOPInterface Class Reference

This is the main interface to the DocumentInfoInterface of KTextEdit. DCOP interface to DocumentInfoInterface. More...

`#include <documentdcopinfo.h>`

Inheritance diagram for KTextEditor::DocumentInfoDCOPInterface:

[legend]
Collaboration diagram for KTextEditor::DocumentInfoDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions
QString | mimeType ()
long | fileSize ()
QString | niceFileSize ()
uint | documentInfoInterfaceNumber ()
## Public Member Functions
| DocumentInfoDCOPInterface (DocumentInfoInterface *Parent, const char *name)
| Construct a new interface object for the text editor.
virtual | ~DocumentInfoDCOPInterface ()
| Destructor Cleans up the object.

## Detailed Description

This is the main interface to the DocumentInfoInterface of KTextEdit. DCOP interface to DocumentInfoInterface.

This will provide a consistant dcop interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 19 of file documentdcopinfo.h.

## Constructor & Destructor Documentation

DocumentInfoDCOPInterface::DocumentInfoDCOPInterface | ( | DocumentInfoInterface * | Parent,
|  | const char * | name
| ) |

  | Construct a new interface object for the text editor. Parameters:
  ParentDocumentInfoInterface | - The parent DocumentInfoInterface object that will provide us with the functions for the interface.
Definition at line 7 of file documentdcopinfo.cpp. References KStdAccel::name().

DocumentInfoDCOPInterface::~DocumentInfoDCOPInterface | ( |  | ) | `[virtual]`

| Destructor Cleans up the object. Definition at line 13 of file documentdcopinfo.cpp.

The documentation for this class was generated from the following files:

- documentdcopinfo.h
- documentdcopinfo.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:30:55 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001